https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachmentsAdds one or more envelope attachments to a draft or in-process envelope. Each envelope can have a maximum of 12 attachments. Envelope attachments are files that an application can include in an envelope. They are not converted to PDF. Envelope attachments are available only through the API. There is no user interface in the Docusign web application for them. For a list of supported file formats, see Supported File Formats. <!-- std notice DEVDOCS-114911 --> <ds-inlinemessage kind="information" markdown="1"> It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see Attachments in the concept guide. </ds-inlinemessage> <!-- end notice DEVDOCS-114911 -->
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachmentsAdds one or more envelope attachments to a draft or in-process envelope. Each envelope can have a maximum of 12 attachments. Envelope attachments are files that an application can include in an envelope. They are not converted to PDF. Envelope attachments are available only through the API. There is no user interface in the Docusign web application for them. For a list of supported file formats, see Supported File Formats. <!-- std notice DEVDOCS-114911 --> <ds-inlinemessage kind="information" markdown="1"> It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see Attachments in the concept guide. </ds-inlinemessage> <!-- end notice DEVDOCS-114911 -->
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}